// BWSnippetKeeper -- container object that keeps track of HTML fragments.
//		      Individual values accessed by KVC because I'm lazy

// Copyright (C) 2005 Borkware, LLC
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@interface BWSnippetKeeper : NSObject
{
    // alas no bindings for textviews, so do things the Old Way

    IBOutlet NSTextView *documentHeaderTextView;
    IBOutlet NSTextView *beforeThumbnailsTextView;
    IBOutlet NSTextView *forEachImageTextView;
    IBOutlet NSTextView *forEveryXImagesTextView;
    IBOutlet NSTextView *afterThumbnailsTextView;
    IBOutlet NSTextView *documentFooterTextView;
    IBOutlet NSTextField *xField;

    IBOutlet NSWindow *window;
}

// open the snippet editor as a window
- (void) showSnippets;

// open the snippet editoras a sheet
- (void) showSnippetsAsSheetInWindow: (NSWindow *) window;

// ok / cancle buttons
- (IBAction) ok: (id) sender;
- (IBAction) cancel: (id) sender;

@end // BWSnippetKeeper

